Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcUtf8Len

## Name

FcUtf8Len -- count UTF-8 encoded chars

## Synopsis

    #include <fontconfig.h>

``FcBool FcUtf8Len`(FcChar8 *src, intlen, int *nchar, int *wchar);`

## Description

Counts the number of Unicode chars in len bytes of src. Places that count in nchar. wchar contains 1, 2 or 4 depending on the number of bytes needed to hold the largest unicode char counted. The return value indicates whether src is a well-formed UTF8 string.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcUcs4ToUtf8 | Up | FcUtf16ToUcs4